#include<stdio.h>



main(){
	unsigned long d,V,i=0;
	scanf("%lu",&V);
	while(V){
		d=V%10;
		switch(d)
            case 1:case 2:case 5:i++;break;
            case 3:case 4:case 6:i+=2;break;
            default i+=3;break;

		V=V/10;
	}
	printf("%lu",i);
}